Skip to main content
`Ctrl`+`K`

# SALib.sample.common_args module

SALib.sample.common_args.create(cli_parser=None)

  Create CLI parser object.

  Parameters:

    cli_parser (function [optional]) – Function to add method specific arguments to parser

  Return type:

    argparse object

SALib.sample.common_args.run_cli(cli_parser, run_sample, known_args=None)

  Run sampling with CLI arguments.

  Parameters:

    - cli_parser (function) – Function to add method specific arguments to parser

    - run_sample (function) – Method specific function that runs the sampling

    - known_args (list [optional]) – Additional arguments to parse

  Return type:

    argparse object

SALib.sample.common_args.setup(parser)

  Add common sampling options to CLI parser.

  Parameters:

    parser (argparse object)

  Return type:

    Updated argparse object